import java.awt.Point;

public class Parabula
{
	private double a;
	private double b;
	private double c;

	public Parabula (double a, double b, double c)
	{
		this.a=a;
		this.b=b;
		this.c=c;
	}

	public double calculateY (double x)
	{
		return (this.a*x*x+this.b*x+this.c);
	}
	
	public double[] getRoots()	
	{
		double ans=(this.b*this.b-4*this.a*this.c);
		if (ans<0)
		{
			double[] arr=new double[0];
			return arr;
		}
		else  if(ans==0)
		{
			double[] arr =new  double[1];
			arr[0]= -(this.b)/2*this.a;
			return arr;
		}
		
		else
		{
			double[] arr =new  double[2];
			arr[0]=(-(this.b)+Math.sqrt(ans))/2*this.a;
			arr[1]=(-(this.b)-Math.sqrt(ans))/2*this.a;
			return arr;

   		}
	}

	public String toString()
	{
		return ("y=("+this.a+")x^2+("+this.b+")x+("+this.c+")");

	}
	/*
	 *  +:       , 
	 *            
	 *         .
	 *      .
	 */
	public boolean isOnTheGraph (Point p)
	{
		double x=p.getX();
		double y=p.getY();
		
		return (y==this. calculateY(x));
	}

	public Point getMinMax()
	{
		double x=-this.b/2*this.a*this.a;
		double y=this.c-(this.b*this.b/4*this.a);
		
		Point p=new Point((int)x,(int)y);
		return p;
	}

}
